package com.brilliance.isc.common.transaction.help;

import com.brilliance.isc.common.liaall.vo.LiaallExtAmtInfo;
import com.brilliance.isc.common.liaall.vo.LiaallRegisterVo;
import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.isc.common.vo.SimpleModuleVo;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

//表外保证金计算数据对象
public class LiaallSet {

    private Map<String, String> liaallStrMap = new LinkedHashMap<>();

    private Map<String, String> lgbdetStrMap = new LinkedHashMap<>();

    public void putLiaallStr(String key, String vlaue) {
        liaallStrMap.put(key, vlaue);
    }

    public String getLiaallStr(String key) {
        return liaallStrMap.get(key);
    }

    public boolean containLiaallStr(String key) {
        return liaallStrMap.containsKey(key);
    }

    public void clearLiaall() {
        this.liaallStrMap.clear();
    }

    public void putLgbdetStr(String key, String vlaue) {
        lgbdetStrMap.put(key, vlaue);
    }

    public String getLgbdetStr(String key) {
        return lgbdetStrMap.get(key);
    }

    @Getter
    @Setter
    private BizInfoVo rec;

    @Getter
    @Setter
    private List<PtsptaVo> ptsptas;

    private List<LiaallRegisterVo> liaallRegisters;

    private List<LiaallExtAmtInfo> liaallExtAmtInfos;

    @Getter
    @Setter
    private String avlavsintrol;

    //目前设计成需要取消的模型对象SimpleModuleVo
    @Getter
    @Setter
    private SimpleModuleVo cancelModule;

    public List<LiaallRegisterVo> getLiaallRegisters() {
        if (liaallRegisters == null) {
            liaallRegisters = new ArrayList<>();
        }
        return liaallRegisters;
    }

    public List<LiaallExtAmtInfo> getLiaallExtAmtInfos() {
        if (liaallExtAmtInfos == null) {
            liaallExtAmtInfos = new ArrayList<>();
        }
        return liaallExtAmtInfos;
    }
}
